---
title: starts-with
slug: Web/XPath/Functions/starts-with
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>starts-with</code> checks whether the first string starts with the second string and returns true or false.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">starts-with(<em>haystack</em>, <em>needle</em>)
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em><code>haystack</code></em></dt>
 <dd>The string to look in.</dd>
</dl>

<dl>
 <dt><em><code>needle</code></em></dt>
 <dd>The string to look for.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p><code>true</code> if <em><code>haystack</code></em> starts with <em><code>needle</code></em>. Otherwise, <code>false</code>.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-starts-with">XPath 1.0 4.2</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
